package cat.hack3.codingtests.marsrover;

public class TurnRightCommand implements MarsRoverCommand{
    private final MarsRover marsRover;

    public TurnRightCommand(MarsRover marsRover) {
        this.marsRover = marsRover;
    }

    @Override
    public void execute() {
        marsRover.rotateTowards(MarsRover.Rotation.RIGHT);
    }
}
