package cat.hack3.codingtests.marsrover;

public class MoveBackwardsCommand implements MarsRoverCommand {
    private final MarsRover marsRover;

    public MoveBackwardsCommand(MarsRover marsRover) {
        this.marsRover = marsRover;
    }

    @Override
    public void execute() {
        marsRover.moveTowards(marsRover.getCurrentDirection().reversed());
    }
}
