package cat.hack3.codingtests.marsrover;

public class TurnLeftCommand implements MarsRoverCommand{
    private final MarsRover marsRover;

    public TurnLeftCommand(MarsRover marsRover) {
        this.marsRover = marsRover;
    }

    @Override
    public void execute() {
        marsRover.rotateTowards(MarsRover.Rotation.LEFT);
    }
}
